#!/bin/bash

echo
echo "::. Installation de Coban .::"
echo

echo "création du répertoire d'installation de coban..."
mkdir ~/.coban
echo "[ok]"
echo

echo "copie de l'archive dans le dossier d'installation..."
cp Coban-0-6-1.tar.gz ~/.coban/Coban-0-6-1.tar.gz
echo "[ok]"
echo

echo "changement de répertoire pour celui du répertoire d'installation..."
cd ~/.coban
echo "[ok]"
echo

echo "décompression de l archive..."
tar xvf Coban-0-6-1.tar.gz
echo "[ok]"
echo

echo "suppression de l'archive..."
rm Coban-0-6-1.tar.gz
echo "[ok]"
echo

echo "donne les droits d'exécution au fichier coban.py et coban.sh..."
chmod +x coban.py
chmod +x coban.sh
echo "[ok]"
echo

echo "crée un lien dans /usr/bin..."
echo "ATTENTION: Entrez votre mot de passe administrateur pour cette étape !"
sudo ln -s ~/.coban/coban.sh /usr/bin/coban
echo "[ok]"
echo

echo "::. Fin de l'installation de coban .::"
echo
echo 'Tapez "coban" dans une console pour lancer Coban !'
echo

exit 0
